Last Comment Bug 634090 - JIT tests should have a timeout parameter
: JIT tests should have a timeout parameter
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: ---
Assigned To: Bill McCloskey (:billm)
:
Mentors:
Depends on: 659790
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-14 14:44 PST by Bill McCloskey (:billm)
Modified: 2011-05-25 15:42 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (5.66 KB, patch)
2011-02-14 14:45 PST, Bill McCloskey (:billm)
dmandelin: review+
Details | Diff | Review
patch v2 (17.23 KB, patch)
2011-04-22 12:32 PDT, Bill McCloskey (:billm)
dmandelin: review+
Details | Diff | Review

Description Bill McCloskey (:billm) 2011-02-14 14:44:23 PST
This is useful for debugging infinite loops and for testing with GC zeal.
Comment 1 Bill McCloskey (:billm) 2011-02-14 14:45:17 PST
Created attachment 512287 [details] [diff] [review]
patch

I copied this code from jstests.py. I guess eventually this infrastructure should be shared.
Comment 2 Bill McCloskey (:billm) 2011-04-22 12:32:30 PDT
Created attachment 527832 [details] [diff] [review]
patch v2

I never felt like this patch was really done. This new one makes it a lot easier to do GC zeal testing. It adds a --args option to jit-tests so you can specify -Z. And for both jit-tests and jstests, it prints timeout failures separate from other kinds of failures. This makes it much easier to see if anything actually went wrong.
Comment 3 Bill McCloskey (:billm) 2011-05-18 10:36:38 PDT
http://hg.mozilla.org/tracemonkey/rev/848855c35e27
Comment 4 Chris Leary [:cdleary] (not checking bugmail) 2011-05-23 14:17:21 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/848855c35e27

Note You need to log in before you can comment on or make changes to this bug.